Bug 1536383 - [rhel-comps] Localization
Summary: [rhel-comps] Localization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Release Engineering Bug Triage
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1473148
TreeView+ depends on / blocked
 
Reported: 2018-01-19 10:03 UTC by Ludek Janda
Modified: 2018-04-10 10:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:23:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:24:14 UTC

Description Ludek Janda 2018-01-19 10:03:47 UTC
Description of problem:

Git repo: https://code.engineering.redhat.com/gerrit/gitweb?p=comps.git;a=summary

Downstream zanata: https://vendors.zanata.redhat.com/iteration/view/rhel-comps/RHEL-7.5?dswid=8098

Actual results:

Japanese: 79,3%


Expected results:

Japanese: 100%

Additional info:
We are going to deliver translation in form of PO file.

Comment 3 Lubos Kocman 2018-02-09 11:37:47 UTC
http://git.app.eng.bos.redhat.com/git/comps.git/commit/?id=43eb0a0bc167aaf6fd98a1008fa43bffde084e14

Also created symlink ja_JP.po to ja.po

Comment 4 Lubos Kocman 2018-02-09 11:48:04 UTC
Remainging de-duplication based on irc conversation with ljanda@redhat.com

I used following, which skipped existing symlinked japanese and our multiple references to zh and en which we have in different variants (eg en_US vs en_GB).

for file in `ls | grep _| egrep -v "zh|en|JP"`; do rm -f $file; ln -sf `echo $file | awk -F _ '{ print $1 ".po" }'` $file; done


http://git.app.eng.bos.redhat.com/git/comps.git/commit/?id=9fe90897a868ca9b0449fb9495ce2129059dd3f6

Comment 9 errata-xmlrpc 2018-04-10 10:23:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.